uniform float temperature;
uniform sampler2D temperatureTexture;

uniform float featherPower;
uniform float outerFeatherRadius;

uniform float opacity;

varying vec2 vUv;
varying vec3 vPosition;

void main() {
	float power = length(vUv - vec2(0.5, 0.5))*2.0;
	vec4 color = texture2D(temperatureTexture, vec2(0.1, temperature));
	gl_FragColor = mix(color, vec4(0.0), sqrt(power)) * opacity;

	vec4 featherColor = texture2D(temperatureTexture, vec2(0.95, temperature)) * featherPower;
	featherColor = mix(featherColor, gl_FragColor, smoothstep(1.0, 1.0+outerFeatherRadius, length(vPosition)));
	gl_FragColor = mix(gl_FragColor, featherColor, featherPower);
}